summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2018-10-24 16:48:47 +0200
committer Eric Hameleers <alien@slackware.com>2018-10-24 16:48:47 +0200
commit044a706cdff5a0a8f8dc02b9be084cd196dbcfca (patch)
tree8e1f219bc918fa097335b7ab06ee8cd71e398799
parentda33bca8208d3134ebebac8e88d1010eabcda579 (diff)
downloadktown-044a706cdff5a0a8f8dc02b9be084cd196dbcfca.tar.gz
ktown-044a706cdff5a0a8f8dc02b9be084cd196dbcfca.tar.xz
Fixed missing PyQt4 support in sip. Recompiled QScintilla against sip.
This also makes the HPLIP systray applet work again.
-rwxr-xr-xdeps/QScintilla/QScintilla.SlackBuild42
-rwxr-xr-xdeps/sip/sip.SlackBuild28
2 files changed, 46 insertions, 24 deletions
diff --git a/deps/QScintilla/QScintilla.SlackBuild b/deps/QScintilla/QScintilla.SlackBuild
index db7be4e..dd7a072 100755
--- a/deps/QScintilla/QScintilla.SlackBuild
+++ b/deps/QScintilla/QScintilla.SlackBuild
@@ -29,7 +29,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=QScintilla
VERSION=${VERSION:-2.10.8}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
@@ -170,26 +170,26 @@ cd designer-Qt4Qt5
make install INSTALL_ROOT=$PKG || exit 1
cd -
-#cd Python
-# echo "-- >> Python --"
-# python3 configure.py \
-# --verbose \
-# --qmake /usr/bin/qmake \
-# -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
-# || exit 1
-# make -j1 || exit 1
-# make -j1 install INSTALL_ROOT=$PKG || exit 1
-#
-# make clean || exit 1
-#
-# python2 configure.py \
-# --verbose \
-# --qmake /usr/bin/qmake \
-# -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
-# || exit 1
-# make -j1 || exit 1
-# make -j1 install INSTALL_ROOT=$PKG || exit 1
-#cd -
+cd Python
+ echo "-- >> Python --"
+ python3 configure.py \
+ --verbose \
+ --qmake /usr/bin/qmake \
+ -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+ || exit 1
+ make -j1 || exit 1
+ make -j1 install INSTALL_ROOT=$PKG || exit 1
+
+ make clean || exit 1
+
+ python2 configure.py \
+ --verbose \
+ --qmake /usr/bin/qmake \
+ -n ../Qt4Qt5/ -o ../Qt4Qt5/ -c \
+ || exit 1
+ make -j1 || exit 1
+ make -j1 install INSTALL_ROOT=$PKG || exit 1
+cd -
# Link the shared libraries into /usr/lib${LIBDIRSUFFIX}:
( cd $PKG/usr/lib${LIBDIRSUFFIX}
diff --git a/deps/sip/sip.SlackBuild b/deps/sip/sip.SlackBuild
index 3fc527b..a390f50 100755
--- a/deps/sip/sip.SlackBuild
+++ b/deps/sip/sip.SlackBuild
@@ -27,7 +27,7 @@
PKGNAM=sip
VERSION=${VERSION:-4.19.13}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-"-j$(nproc)"}
@@ -78,28 +78,50 @@ find . \
-exec chmod 644 {} \;
python2 configure.py \
- --sip-module PyQt5.sip \
-b "/usr/bin" \
-d "$PYTHON2LIB" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
|| exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+# Add the PyQt5 private sip module:
+make clean
+python2 configure.py \
+ --sip-module PyQt5.sip --no-tools \
+ -b "/usr/bin" \
+ -d "$PYTHON2LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+
# Rename to avoid a clash:
mv $PKG/usr/bin/sip $PKG/usr/bin/sip2
make clean
python3 configure.py \
- --sip-module PyQt5.sip \
-b "/usr/bin" \
-d "$PYTHON3LIB" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" || exit 1
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+
+# Add the PyQt5 private sip module:
+make clean
+python3 configure.py \
+ --sip-module PyQt5.sip --no-tools \
+ -b "/usr/bin" \
+ -d "$PYTHON3LIB" \
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
# Rename to avoid a clash:
mv $PKG/usr/bin/sip $PKG/usr/bin/sip3